# QPaintEngineState Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QPaintEngineState()

### Constructor Properties

- prototype: The QPaintEngineState prototype object

### Prototype Object Properties

- QBrush backgroundBrush()
- BGMode backgroundMode()
- QBrush brush()
- bool brushNeedsResolving()
- QPointF brushOrigin()
- ClipOperation clipOperation()
- QPainterPath clipPath()
- QRegion clipRegion()
- CompositionMode compositionMode()
- QFont font()
- bool isClipEnabled()
- QMatrix matrix()
- qreal opacity()
- QPainter painter()
- QPen pen()
- bool penNeedsResolving()
- RenderHints renderHints()
- DirtyFlags state()
- QTransform transform()

### Instance Properties

QPaintEngineState objects have no special properties beyond those inherited from the QPaintEngineState prototype object.